SPLASH(1)

NAME
splash - manual page for splash _ _ _ _ _

SYNOPSIS
splash file1 file2 file3...

DESCRIPTION
SPLASH: A visualisation tool for SPH data (c)2004-2026 Daniel Price and contributors v3.12.0 [16th Mar 2026]

Usage with flags: splash [-f format] [-p fileprefix] [-ev]

    [-x col] [-y col] [-r col] [-cont col] file1 file2 ...

Command line options:

-f format
    : input file format to be read (default is ascii, --formats for full list)

-p fileprefix
    : change prefix to ALL settings files read/written by splash

-e, -ev
    : use default options best suited for line plotting (.ev files)

-360
    : set default options suited to 360 video

-b, --buffer
    : buffer all data files into memory

-o pixformat
    : dump pixel map in specified format (use just -o for list of formats)

Command line plotting mode:

-x column
    : x axis

-y column
    : y axis

-r[ender] column
    : column to render (will use 1 and 2 as x,y if -x,-y not specified)

-vec[tor] column
    : vector quantity to plot with arrows

-c[ontour] column : contoured quantity

-multi
    : multiplot

-dev device
    : specify plotting device on command line (e.g. -dev /xw)

--movie
    : shortcut for -dev /mp4 to make a movie from plot sequence

--xsec=1.0
    : specify location of cross section slice

--kappa=1.0
    : specify opacity, and turn on opacity rendering

--anglex=30
    : rotate around x axis (similarly --angley, --anglez)

--code
    : enforce code units (also --codeunits)

--sink=1
    : centre on sink particle number 1

--origin=1,0,0
    : centre on specified x,y,z coordinates

--origin=666
    : set coordinate system origin to particle number 666

--origin=maxdens
    : set coordinate system origin to particle at maximum density

--track=666
    : track particle number 666

--track=maxdens
    : track particle at maximum density

--exact=file1,f2
    : read and plot exact solution from ascii files file1 and f2

--sort
    : sort filenames for comparison (e.g. snap_000 snap1_000 snap2_000)

--sortpad
    : sort filenames and pad all sequences to same length

Example data formats (type --formats for full list):

-ascii,-csv
    : ascii text/csv format (default)

-phantom -sphng
    : Phantom and sphNG codes (auto)

-vtk
    : vtk legacy binary format (auto)

-ndspmhd
    : ndspmhd code (auto)

-gandalf,-seren
    : Gandalf/Seren code

-shamrock
    : Shamrock code

-gadget
    : Gadget code (auto)

This build does not support HDF5. Compile with HDF5=yes to change this. This build does not support FITS. Compile with FITS=yes to change this.

  Convert mode:

splash to ascii
    : convert to ascii; type "splash to" for other formats

  Grid conversion mode:

splash to grid
    : interpolate to grid; type "splash to" for details

  Analysis mode:

splash calc <mode>
    : type "splash calc" for details

Userguide: https://splash-viz.readthedocs.io

_(_)
    ___ _ __ | | __ _ ___| |__ (_) _ (_)

_ (_)
    _ / __| '_ \| |/ _` / __| '_ \ _ (_)

(_) _ (_) \__ \ |_) | | (_| \__ \ | | | _ (_) _

(_) _ |___/ .__/|_|\__,_|___/_| |_| (_) _ (_)

(_) (_)|_| (_) (_) (_)(_) (_)(_) (_)(_)

    ( B | y ) ( D | a | n | i | e | l ) ( P | r | i | c | e )

    ( v3.12.0 [16th Mar 2026] Copyright (C) 2005-2025 )

    * SPLASH comes with ABSOLUTELY NO WARRANTY. This is

    free software; can redistribute w/conditions (see LICENSE) *

    https://splash-viz.readthedocs.io

    Please cite Price (2007), PASA 24, 159 if you use SPLASH in print

    splash.defaults not found: using default settings

    Usage:

splash snap_0*
    (or use splash.filenames to list files)

splash --help
    (for all command line options)

SEE ALSO
The full documentation for splash is maintained as a Texinfo manual. If the info and splash programs are properly installed at your site, the command

    info splash

should give you access to the complete manual.